#python setup.py sdist
#python setup.py register
#python setup.py sdist upload
#python setup.py sdist bdist_wheel upload
#python setup.py bdist --help-formats
#from distutils.core import setup
try:
    from setuptools import setup
except ImportError:
    from distutils.core import setup

#try:
#    import sphinx
#except:
#    install_requires.append('sphinx')

setup(
        name='scadat',
        version='0.1.5',
        author='Martin Mohan',
        author_email='martinmohan@yahoo.com',
        packages=['scadat', 'scadat.test'],
        scripts=['scadat/scadat_test.sh', 'scadat/scadat_unittest.sh', 'scadat/scadat_base.py', 'scadat/scadat_tango.py', 'scadat/scadat'],
        url='http://pypi.python.org/pypi/scadat/',
        license='LICENSE.txt',
        description='A shell interface to tango open source scada',
        long_description=open('README').read(),
        install_requires=[
            #        "pyepics",
            "PyTango",
            "python-nmap",
            # aptitude install nmap python-pytango
            ],
        classifiers=[
            'Development Status :: 2 - Pre-Alpha',
            'Environment :: Console',
            'Environment :: Web Environment',
            'Intended Audience :: Developers',
            'Intended Audience :: System Administrators',
            'License :: OSI Approved :: GNU General Public License (GPL)',
            'Programming Language :: Python',
            'Topic :: System',
            'Topic :: Software Development',
            ],

        )
