#!/bin/bash
#31/03/2013 - Simple unit test framework for bash
#author: Martin Mohan
echo "$0 verbose=$verbose"

if (($verbose > 0));then
    echo "TestSummary: Expected: Actual:"
else
    echo "TestSummary"
fi

#function assertEquals()
#{
#    msg=$1;
#    expected=$2;
#    actual=$3;
#    /bin/echo -n "$msg: "
#    if [ "$expected" != "$actual" ]; then
#        echo "fail: $expected $actual"
#    else
#        if (($verbose > 0));then
#            echo "pass: $expected $actual"
#        else
#            echo pass
#        fi
#    fi
#}
#
#function assertContains()
#{
#    msg=$1;
#    part_string=$2;
#    actual=$3;
#    /bin/echo -n "$msg: "
#    if [[ "$actual" =~ "$part_string" ]]; then
#        if (($verbose > 0));then
#            echo "pass: $part_string contained in $actual"
#        else
#            echo pass
#        fi
#    else
#        echo "fail: $part_string is not in $actual"
#    fi
#}

# eval command and check if expected = actual
function ExecuteCmdEquals()
{
    actual="`eval $1`"
    expected=$2;
    if [ "$expected" != "$actual" ]; then
        echo "fail:$1 expected: $expected actual: $actual"
    else
        if (($verbose > 0));then
            echo "pass: $actual $expected"
        else
            echo pass: $1
        fi
    fi
}

# eval command and check if expected = actual
function ExecuteCmdContains()
{
#    echo "ExecuteCmdContains(): $0 $1 $2"
    actual="`eval $1`"
    part_string=$2;

    if [[ "$actual" =~ "$part_string" ]]; then
        if (($verbose > 0));then
            echo "pass: $1 $part_string contained in $actual"
        else
            echo pass: $1
        fi
    else
        echo "fail:$1 expected_part: $part_string actual: $actual"
    fi
}
